using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsPaymentType {
        public FmsPaymentType() {
            FmsContract = new HashSet<FmsContract>();
        }

        //지급유형
        [Display(Name = "지급유형 코드"), Key]
        public int PaymentTypeId { get; set; }
        [Display(Name = "구분 코드명"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsPaymentType")]
        public virtual ICollection<FmsContract> FmsContract { get; set; }
    }
}
